# Conclusion

Ma **passion anticipée pour l'automatisation** et l'**amélioration des 
processus** de **création logiciel** m'ont amené à ce moment où j'écris ces 
lignes pour **embrasser le métier d'Administrateur Système DevOps**. La 
formation, puis **le projet de fin de formation** ont été 
**bénéfiques à la prise d'expérience**, mais pas que.

En effet, **il est question de nouvelles compétences**, que le projet, à 
travers la rédaction d'un cahier des charges, de spécifications 
fonctionnelles, d'une approche (démarche) suivie, de plusieurs réalisations et 
de situations diverses, a permis d'**acquérir tout au long de ces derniers 
mois**.

La découverte de nombreux outils comme Kubernetes, Terraform, FluxCD, Datadog, 
externaldns, cert-manager, QEMU/KVM, libvirt, etc. a été riche et variée. Il 
est possible **d'approfondir plus encore** sur ces derniers et de les essayer 
dans **d'autres environnements de cloud** comme *Microsoft Azure* ou *Google 
Cloud Platform*.

Ainsi **je ressors riche de nouvelles expériences**, de **nouveaux outils**, 
de **nouvelles méthodes** et de **nouveaux collaborateurs** dans un monde sans 
cesse grandissant qu'est **le monde du DevOps**. C'est aussi et surtout une 
culture qui amène à de **bonnes pratiques**, une **amélioration constante** et 
la découverte infinie de projets en tous genres.

Ce projet, bien qu'ambitieux au départ, semble désormais une approche basique 
à reprendre lors de futurs projets. Il faudra alors améliorer la gestion 
d'équipe, une planification plus réactive et la prise en compte de plus de 
facteurs comme l'apprentissage de nouvelles technologies, les retards et le 
temps accordé à chaque étape. D'autres outils, plus adaptés, pourront 
également mieux se greffer à de nouveaux projets pour en faciliter la 
finalisation.
